%global gem_name jbuilder
Name:                rubygem-%{gem_name}
Version:             2.11.5
Release:             1
Summary:             Create JSON structures via a Builder-style DSL
License:             MIT
URL:                 https://github.com/rails/jbuilder
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(activemodel) rubygem(multi_json)
BuildRequires:       rubygem(mocha) rubygem(railties)
BuildArch:           noarch
%description
Jbuilder gives you a simple DSL for declaring JSON structures that beats
massaging giant hash structures. This is particularly helpful when
the generation process is fraught with conditionals and loops.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i '/bundler\/setup/ s/^/#/' test/test_helper.rb
ruby -Ilib:test -e "Dir.glob './test/*_test.rb', &method(:require)"
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/MIT-LICENSE
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/test
%{gem_instdir}/gemfiles
%{gem_instdir}/Appraisals

%changelog
* Sat Jan 28 2023 wangkai <wangkai385@h-partners.com> - 2.11.5-1
- update to 2.11.5

* Thu Mar 3 2022 liqiuyu <liqiuyu@kylinos.cn> - 2.9.0-1
- update to 2.9.0

* Wed Aug 19 2020 tuShenmei <tushenmei@huawei.com> - 2.7.0-1
- package init
